import { Role } from "./domain/Role.ts";
import { Status } from "./domain/Status.ts";
import { Technology } from "./domain/Technology.ts";
import { Work } from "./domain/Work.ts";

export const CHRONOLOGICAL_WORKS: Work[] = [
  {
    name: "Mindustry tools",
    url: "/pleshevskiy/mindustry-tools",
    description: "Tools for the Mindustry game",
    roles: [Role.Author],
    technologies: [
      Technology.Nix,
      Technology.Godot,
    ],
    startDate: new Date("2024-01-07"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "Master Progress Rosmintrud tools",
    url: "https://rosmintrud.masterprogress.ru",
    description:
      "Internal service to prepare documents for the rosmintrud (SPA)",
    roles: [Role.TechLead],
    technologies: [
      Technology.Deno,
      Technology.Sqlite,
      Technology.TypeScript,
      Technology.Vue,
      Technology.Docker,
      Technology.Woodpecker,
      Technology.Nix,
    ],
    startDate: new Date("2023-07-03"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "yandexgpt_tg_bot",
    url: "/pleshevskiy/yandexgpt_tg_bot",
    description: "The Telegram bot to describe article with link by YandexGPT.",
    roles: [Role.Author],
    technologies: [Technology.JavaScript, Technology.NodeJS, Technology.Nix],
    startDate: new Date("2023-06-27"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "tree-sitter-plpgsql",
    url: "/pleshevskiy/tree-sitter-plpgsql",
    description: "plpgsql grammar for tree-sitter",
    roles: [Role.Author],
    technologies: [
      Technology.C,
      Technology.JavaScript,
      Technology.TreeSitter,
      Technology.Nix,
    ],
    startDate: new Date("2023-01-05"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "wd2",
    url: "/pleshevskiy/wd2",
    description:
      "A wrapper over d2 which allows to use additional configs from d2 file",
    roles: [Role.Author],
    technologies: [Technology.Bash, Technology.Nix],
    startDate: new Date("2022-12-12"),
    endDate: new Date("2023-07-31"),
    status: Status.AsIs,
  },
  {
    name: "tree-sitter-d2",
    url: "/pleshevskiy/tree-sitter-d2",
    description: "d2 grammar for tree-sitter",
    roles: [Role.Author],
    technologies: [
      Technology.C,
      Technology.JavaScript,
      Technology.TreeSitter,
      Technology.Nix,
    ],
    startDate: new Date("2022-12-04"),
    status: Status.ActiveDeveloped,
  },
  {
    name: "nix2lua",
    url: "/mynix/nix2lua",
    description:
      "This is a small but functional library that converts your nix configurations into lua format.",
    roles: [Role.Author],
    technologies: [Technology.Nix, Technology.Lua],
    startDate: new Date("2022-11-22"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "vnetod",
    url: "/pleshevskiy/vnetod",
    description: "Dotenv section switcher",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2022-07-29"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "estring",
    url: "/pleshevskiy/estring",
    description: "A simple way to parse a string using type annotations.",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2022-07-23"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "enve",
    url: "/pleshevskiy/enve",
    description:
      "It helps you work with environment variables and convert it to any type using only type annotations",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2022-07-18"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "docker stack drone plugin",
    url: "/drone_plugins/docker_stack",
    description: "Deploy to production using `docker stack deploy`",
    roles: [Role.Author],
    technologies: [
      Technology.Docker,
      Technology.Drone,
      Technology.Woodpecker,
    ],
    startDate: new Date("2022-06-06"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "dexios",
    url: "/github/dexios",
    description:
      "Dexios is a fast, secure, and open source command-line encryption tool.",
    roles: [Role.Collaborator],
    technologies: [Technology.Rust],
    startDate: new Date("2022-06-01"),
    endDate: new Date("2023-02-28"),
  },
  {
    name: "recipes",
    url: "/pleshevskiy/recipes",
    description: "Site with recipes which cares about privacy",
    roles: [Role.Author],
    technologies: [Technology.TypeScript, Technology.Deno, Technology.Rust],
    startDate: new Date("2022-05-04"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "pleshevski.ru",
    url: "/pleshevskiy/pleshevski.ru",
    description: "Source code of my personal site",
    roles: [Role.Author],
    technologies: [
      Technology.TypeScript,
      Technology.Deno,
      Technology.Docker,
      Technology.Woodpecker,
    ],
    startDate: new Date("2022-03-16"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "paren",
    url: "/pleshevskiy/paren",
    description: "Library for parsing and rendering information.",
    roles: [Role.Author],
    technologies: [Technology.TypeScript, Technology.Deno],
    startDate: new Date("2022-03-14"),
    status: Status.Experimental,
  },
  {
    name: "hwt",
    url: "/pleshevskiy/hwt",
    description:
      "healthy workaholic timer – A tool that keeps you from breaking your health by working all day.",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2022-02-04"),
    status: Status.AsIs,
  },
  {
    name: "ood_persistence",
    url: "/pleshevskiy/ood_persistence",
    description:
      "Asynchronous and synchronous interfaces and persistence implementations for your OOD architecture ",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2021-10-12"),
    status: Status.Deprecated,
  },
  {
    name: "migra",
    url: "/pleshevskiy/migra",
    description: "Simple SQL migration manager for your project.",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2021-01-31"),
    status: Status.AsIs,
  },
  {
    name: "espruino-starter",
    url: "/pleshevskiy/espruino-starter",
    description:
      "Quickly start creating your new project on the espruino board or a board based on it.",
    roles: [Role.Author],
    technologies: [Technology.JavaScript],
    startDate: new Date("2021-08-23"),
    status: Status.AsIs,
  },
  {
    name: "react-rest-request",
    url: "/pleshevskiy/react-rest-request",
    description: "Minimalistic REST API client for React inspired by Apollo.",
    roles: [Role.Author],
    technologies: [Technology.TypeScript, Technology.React],
    startDate: new Date("2020-10-04"),
    status: Status.Deprecated,
  },
  {
    name: "sonic-channel",
    url: "/pleshevskiy/sonic-channel",
    description: "Rust client for sonic search backend.",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2020-07-18"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "itconfig",
    url: "/pleshevskiy/itconfig",
    description:
      "Easy build a configs from environment variables and use it in globally.",
    roles: [Role.Author],
    technologies: [Technology.Rust],
    startDate: new Date("2019-12-22"),
    status: Status.Deprecated,
  },
  {
    name: "it-fsm",
    url: "/pleshevskiy/it-fsm",
    description: "Simple full-featured finite state machine for your project",
    roles: [Role.Author],
    technologies: [Technology.TypeScript, Technology.NodeJS, Technology.Deno],
    startDate: new Date("2019"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "Cabinet Master Progress",
    url: "https://cabinet.masterprogress.ru",
    description:
      "Student's cabinet of the educational center Master Progress (SSR + SPA)",
    roles: [Role.TechLead],
    technologies: [
      Technology.Python,
      Technology.Flask,
      Technology.Postgresql,
      Technology.TypeScript,
      Technology.React,
      Technology.Docker,
      Technology.Woodpecker,
      Technology.Nix,
    ],
    startDate: new Date("2019-09-22"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "genrss",
    url: "/pleshevskiy/genrss",
    description: "RSS generator for python",
    roles: [Role.Author],
    technologies: [Technology.Python],
    startDate: new Date("2019-07-23"),
    status: Status.AsIs,
  },
  {
    name: "marshmallow_pageinfo",
    url: "/pleshevskiy/marshmallow_pageinfo",
    description: "Page info marshmallow schema for api",
    roles: [Role.Author],
    technologies: [Technology.Python],
    startDate: new Date("2019-10-05"),
    status: Status.AsIs,
  },
  {
    name: "Binary Management",
    url: "https://www.binarymanagement.com",
    description: "Project management tool for interior designers",
    roles: [Role.Developer, Role.TechLead, Role.TeamLead],
    technologies: [
      Technology.TypeScript,
      Technology.NodeJS,
      Technology.React,
      Technology.Antd,
      Technology.Docker,
      Technology.Drone,
      Technology.Rust,
      Technology.Nix,
    ],
    startDate: new Date("2018-09-15"),
    status: Status.ActiveDeveloped,
  },
  {
    name: "Core Spirit",
    url: "https://corespirit.com",
    description: "Social platform focusing on human and planetary enhancement",
    roles: [Role.Developer],
    technologies: [
      Technology.TypeScript,
      Technology.NodeJS,
      Technology.React,
      Technology.Docker,
      Technology.Drone,
    ],
    startDate: new Date("2018-09-05"),
    endDate: new Date("2019-12-31"),
  },
  {
    name: "Master Progress",
    url: "https://masterprogress.ru",
    description:
      "Main website of the educational center Master Progress (SSR + Forms)",
    roles: [Role.TechLead],
    technologies: [
      Technology.Python,
      Technology.Flask,
      Technology.JavaScript,
      Technology.Docker,
      Technology.Woodpecker,
    ],
    startDate: new Date("2018-04-10"),
    status: Status.PassivelyMaintained,
  },
  {
    name: "ictmpl",
    url: "/pleshevskiy/ictmpl",
    description: "Generate projects from templates",
    roles: [Role.Author],
    technologies: [Technology.Python],
    startDate: new Date("2018-06-30"),
    status: Status.AsIs,
  },
  {
    name: "jjcrypto",
    url: "/pleshevskiy/jjcrypto",
    description: "Javascript encoder and decoder",
    roles: [Role.Author],
    technologies: [Technology.Php],
    startDate: new Date("2015-11-01"),
    status: Status.AsIs,
  },
];
