export enum Status {
  // New features are being added and bugs are being fixed.
  ActiveDeveloped = "actively-developed",

  // There are no plans for new features, but the maintainer intends to respond
  // to issues that get filed.
  PassivelyMaintained = "passively-maintained",

  // The package is feature complete, the maintainer does not intend to continue
  // working on it or providing support, but it works for the purposes it was
  // designed for.
  AsIs = "as-is",

  // The author wants to share it with the community but is not intending to
  // meet anyone's particular use case.
  Experimental = "experimental",

  // The current maintainer would like to transfer the package to someone else.
  LookingForMaintainer = "looking-for-maintainer",

  // The maintainer does not recommend using this package (the description of the
  // package can describe why, there could be a better solution available or
  // there could be problems with the package that the author does not want to fix).
  Deprecated = "deprecated",
}
