import { PageLayout } from "../comp/page_layout.ts";
import { AnyNode, E } from "ren/node.ts";
import { classNames } from "ren/attrs.ts";
import { Context } from "../../context.ts";
import { ChronologicalWorksTable } from "../../modules/work/ChronologicalWorksTable/mod.ts";
import { H3 } from "../../uikit/typo.ts";

export function WorksPage(ctx: Context, content: AnyNode): AnyNode {
  ctx.title = "Works | Pleshevski";

  return PageLayout(ctx, [
    E("div", classNames("content-width gap-v-1x5 responsive-typography"), [
      content,
      H3(ctx.tr.Chronological),
      ChronologicalWorksTable(ctx.tr),
    ]),
  ]);
}
